Navsim Asset Bundle Buildtarget error

So I have created my own Asset Bundle in Unity to train my own objects. However, I am getting this error below in the Player.log saying I have used the wrong build target.

The AssetBundle 'phone' can't be loaded because it was not built with the right version or build target.

When creating my AssetBundle, I have used the Unity property “UnityEditor.BuildTarget.StandaloneLinux64”. For creating our Navsim Asset Bundles, what is the correct build property that we are supposed to use? Also, I am using Unity 2019.3.0f1 and the Player.log also says that it is using 2018.3.11f1 - must we be on the same Unity Engine version to build our Asset Bundles?
Thanks